BLAH_JOB_REGISTRY_AD(1)

NAME
blah_job_registry_add - Insert a new item in the registry.

SYNOPSIS

blah_job_registry_add [options] <BLAH id> <batch id> [job status] [udate] [user prefix] [user proxy] [renew proxy] [proxy subject] [worker node] [exit code] [exit reason]

DESCRIPTION

The command blah_job_registry_add inserts a new item in the registry.

OPTIONS

-h
    Display information about this command

-u
    Check that the blah_id is unique

<BLAH id>
    Blah id

<batch id>
    Batch id

job status
    Status for the job (1=IDLE, 2=RUNNING, 3=REMOVED, 4=COMPLETED, 5=HELD)

udate
    User timestamp

user prefix
    Cream jobid

user proxy
    User proxy

renew proxy
    Flag for proxy renewal

proxy subject
    Proxy subject

worker node
    Worker node

exit code
    Job exit code

exit reason
    Job exit reason

EXIT STATUS

blah_job_registry_add exits with a status value of 0 (zero) upon success and >0 (greater than zero) upon failure.

SEE ALSO

blah_job_registry_dump(1), blah_job_registry_lkup(1), blah_job_registry_scan_by_subject(1)

AUTHOR

Massimo Mezzadri <Massimo.Mezzadri@mi.infn.it>
    Developer of the BLAHP suite